import { SingleLineEdit } from "../../../../../common/core/lineEdit.js";
import { LineRange } from "../../../../../common/core/lineRange.js";
import { Position } from "../../../../../common/core/position.js";
import { AbstractText, TextEdit } from "../../../../../common/core/textEdit.js";
import { Command } from "../../../../../common/languages.js";
import { InlineSuggestionItem } from "../../model/inlineSuggestionItem.js";
export declare class InlineEditWithChanges {
    readonly originalText: AbstractText;
    readonly edit: TextEdit;
    readonly cursorPosition: Position;
    readonly commands: readonly Command[];
    readonly inlineCompletion: InlineSuggestionItem;
    get lineEdit(): SingleLineEdit;
    get originalLineRange(): LineRange;
    get modifiedLineRange(): LineRange;
    get displayRange(): LineRange;
    constructor(originalText: AbstractText, edit: TextEdit, cursorPosition: Position, commands: readonly Command[], inlineCompletion: InlineSuggestionItem);
    equals(other: InlineEditWithChanges): boolean;
}
